Subject: Re: [bug#50862] Launching the KDE Plasma session

From: phodina <[email-masked]>
Date: Mon, 22 Aug 2022 13:19:15 +0000

Hi Marek,

> I found that the Guix Git on Savannah has a stale `wip-kde-plasma` branch. Are there any plans to reactivate it?

the most recent commits can be found on my Github account in branch upstream-kde[1].

> Is there a configuration combination, which would allow me to  start the Plasma Desktop from SDDM? I have all the packages installed, but the (plasma-desktop-service-type) itself fails to build. I have the SDDM service, configured to use wayland, and "plasma-desktop" and "plasma-workspace" packages installed.

The package libaccounts-qt now builds and I'm able to build VM wth KDE Plasma.

However, when I log in to the Plasma session I saw only black screen so my assumption is it will need meta package like gnome or xfce.

The wayland session did not start but I was testing this in VM running under X11. So I'll use dedicated machine for that.

So my plan is to fix the 2 remaining issues this week and sumbit the patches here (currently about 100).

FIY I cleaned my git of all the stalled branches with KDE packages. This should be the one for upstream as most of the stuff should be solid there.

[1] https://github.com/phodina/guix/tree/patch/upstream-kde

----
Petr